Subject: Re: bug#20292: 24.5; Saving Git-controlled file with merge conflicts after "stash pop" stages the file

From: Stefan Monnier <[email-masked]>
Date: Thu, 14 May 2015 16:55:50 -0400

I think the only sane way to handle this is to always use "git add" and
to add a config var so users who don't like it can disable it.

After all, when unstashing changes in a file that already has
a modification staged, Git is pretty happy to silently/automatically
"git add" the resulting merge (hence throwing away the info about the
particular changes that were staged before the unstash) if it doesn't have
conflicts (at least it does so if the unstash finds conflicts in other
files).  So I don't see why Emacs shouldn't feel free to "git add" the
file once conflicts are resolved.

IOW, I think bug#20292 is simply not a bug.

        Stefan